Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface SequenceDefOperations

All Superinterfaces:
  IDLTypeOperations, IRObjectOperations

All Known Subinterfaces:
  SequenceDef

All Known Implementing Classes:
  SequenceDefPOA

public interface SequenceDefOperations
extends IDLTypeOperations

A SequenceDef represents an IDL sequence type. As sequence types are anonymous, this interface is not derived from TypedefDef or Contained.

Method Summary
`int` | `bound()` The lengthattribute specifies the maximum number of elements in the sequence.
`void` | `bound(int value)` The lengthattribute specifies the maximum number of elements in the sequence.
`IDLType` | `element_type_def()` The inherited type attribute is a tk_sequence TypeCode describing the sequence.
`void` | `element_type_def(IDLType value)` The inherited type attribute is a tk_sequence TypeCode describing the sequence.
`TypeCode` | `element_type()` The type of the elements is described by element_type and identified by element_type_def.

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### bound

    public int bound()

  The lengthattribute specifies the maximum number of elements in the sequence. A bound of zero indicates an unbounded sequence.

### bound

    public void bound(int value)

  The lengthattribute specifies the maximum number of elements in the sequence. A bound of zero indicates an unbounded sequence.

### element_type

    public TypeCode element_type()

  The type of the elements is described by element_type and identified by element_type_def.

### element_type_def

    public IDLType element_type_def()

  The inherited type attribute is a tk_sequence TypeCode describing the sequence.

### element_type_def

    public void element_type_def(IDLType value)

  The inherited type attribute is a tk_sequence TypeCode describing the sequence.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD